> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/beacons.md).

# Beacons

## GET /V2/{tenantVarCode}/beacons

> Returns a list of Beacons for specified tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Beacons"}],"paths":{"/V2/{tenantVarCode}/beacons":{"get":{"tags":["Beacons"],"summary":"Returns a list of Beacons for specified tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Beacon"}}}}}}}}},"components":{"schemas":{"Beacon":{"required":["MajorRevision","MinorRevision","Name","Position","Type","Uuid"],"type":"object","properties":{"BeaconId":{"type":"string","description":"Unique string that identifies the beacon","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Type":{"minLength":1,"type":"string","description":"A string with Type (Valid types are iBeacon and Eddystone)"},"Uuid":{"minLength":1,"type":"string","description":"A string with UUID"},"MajorRevision":{"type":"integer","description":"A integer with Major Revision","format":"int32"},"MinorRevision":{"type":"integer","description":"A integer with Minor Revision","format":"int32"},"Range":{"type":"integer","description":"Range in meters","format":"int32","nullable":true},"Color":{"type":"string","description":"Color of Beacon (Supported colors are orange, black, green, blue, red, purple)","nullable":true},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when Beacon is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, Beacon is visible to users in sub-tenants."}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## POST /V2/{tenantVarCode}/beacons

> Creates a new Beacon

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Beacons"}],"paths":{"/V2/{tenantVarCode}/beacons":{"post":{"tags":["Beacons"],"summary":"Creates a new Beacon","operationId":"PostBeacon","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Beacon","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/Beacon"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Beacon":{"required":["MajorRevision","MinorRevision","Name","Position","Type","Uuid"],"type":"object","properties":{"BeaconId":{"type":"string","description":"Unique string that identifies the beacon","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Type":{"minLength":1,"type":"string","description":"A string with Type (Valid types are iBeacon and Eddystone)"},"Uuid":{"minLength":1,"type":"string","description":"A string with UUID"},"MajorRevision":{"type":"integer","description":"A integer with Major Revision","format":"int32"},"MinorRevision":{"type":"integer","description":"A integer with Minor Revision","format":"int32"},"Range":{"type":"integer","description":"Range in meters","format":"int32","nullable":true},"Color":{"type":"string","description":"Color of Beacon (Supported colors are orange, black, green, blue, red, purple)","nullable":true},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when Beacon is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, Beacon is visible to users in sub-tenants."}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/beacons/{beaconId}

> Returns a specific Beacon

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Beacons"}],"paths":{"/V2/{tenantVarCode}/beacons/{beaconId}":{"get":{"tags":["Beacons"],"summary":"Returns a specific Beacon","operationId":"GetBeacon","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"beaconId","in":"path","description":"Beacon Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Beacon"}}}}}}}},"components":{"schemas":{"Beacon":{"required":["MajorRevision","MinorRevision","Name","Position","Type","Uuid"],"type":"object","properties":{"BeaconId":{"type":"string","description":"Unique string that identifies the beacon","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Type":{"minLength":1,"type":"string","description":"A string with Type (Valid types are iBeacon and Eddystone)"},"Uuid":{"minLength":1,"type":"string","description":"A string with UUID"},"MajorRevision":{"type":"integer","description":"A integer with Major Revision","format":"int32"},"MinorRevision":{"type":"integer","description":"A integer with Minor Revision","format":"int32"},"Range":{"type":"integer","description":"Range in meters","format":"int32","nullable":true},"Color":{"type":"string","description":"Color of Beacon (Supported colors are orange, black, green, blue, red, purple)","nullable":true},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when Beacon is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, Beacon is visible to users in sub-tenants."}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/beacons/{beaconId}

> Updates an existing Beacon

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Beacons"}],"paths":{"/V2/{tenantVarCode}/beacons/{beaconId}":{"put":{"tags":["Beacons"],"summary":"Updates an existing Beacon","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"beaconId","in":"path","description":"Beacon Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated Beacon","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Beacon"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Beacon"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/Beacon"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Beacon":{"required":["MajorRevision","MinorRevision","Name","Position","Type","Uuid"],"type":"object","properties":{"BeaconId":{"type":"string","description":"Unique string that identifies the beacon","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Type":{"minLength":1,"type":"string","description":"A string with Type (Valid types are iBeacon and Eddystone)"},"Uuid":{"minLength":1,"type":"string","description":"A string with UUID"},"MajorRevision":{"type":"integer","description":"A integer with Major Revision","format":"int32"},"MinorRevision":{"type":"integer","description":"A integer with Minor Revision","format":"int32"},"Range":{"type":"integer","description":"Range in meters","format":"int32","nullable":true},"Color":{"type":"string","description":"Color of Beacon (Supported colors are orange, black, green, blue, red, purple)","nullable":true},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when Beacon is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, Beacon is visible to users in sub-tenants."}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/beacons/{beaconId}

> Deletes a specific Beacon

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Beacons"}],"paths":{"/V2/{tenantVarCode}/beacons/{beaconId}":{"delete":{"tags":["Beacons"],"summary":"Deletes a specific Beacon","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"beaconId","in":"path","description":"Beacon Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
